ChecksumEventStream (Apache OpenNLP :: Core :: ML :: Commons 3.0.0-M4 API)
Description: declaration: package: opennlp.tools.ml.model, class: ChecksumEventStream

Package opennlp.tools.ml.model

# Class ChecksumEventStream

java.lang.Object
opennlp.tools.util.AbstractObjectStream<opennlp.tools.ml.model.Event>
opennlp.tools.ml.model.ChecksumEventStream

All Implemented Interfaces:
  `AutoCloseable`, `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`

public class ChecksumEventStream extends opennlp.tools.util.AbstractObjectStream<opennlp.tools.ml.model.Event>
A `Checksum`-based `event stream` implementation. Computes the checksum while consuming the event stream. By default, this implementation will use `CRC32C` for checksum calculations as it can use of CPU-specific acceleration instructions at runtime.

See Also:
  - `Event`
  - `Checksum`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChecksumEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event> eventStream)`
  Initializes an `ChecksumEventStream`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `calculateChecksum()`
  Calculates and returns the (current) checksum.
  `opennlp.tools.ml.model.Event`
  `read()`

  ### Methods inherited from class opennlp.tools.util.AbstractObjectStream

  `close, reset`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ChecksumEventStream

    public ChecksumEventStream(opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event> eventStream)
    Initializes an `ChecksumEventStream`.
    Parameters:
      `eventStream` - The `ObjectStream` that provides the `Event` samples.

- ## Method Details

  - ### read

    public opennlp.tools.ml.model.Event read() throws IOException
    Specified by:
      `read` in interface `opennlp.tools.util.ObjectStream<opennlp.tools.ml.model.Event>`
    Overrides:
      `read` in class `opennlp.tools.util.AbstractObjectStream<opennlp.tools.ml.model.Event>`
    Throws:
      `IOException`

  - ### calculateChecksum

    public long calculateChecksum()
    Calculates and returns the (current) checksum.

    Note: This should be called once the underlying stream has been (fully) consumed.

    Returns:
      The calculated checksum as `long`.